# API

The Candidate Scheduling In-Person API provides endpoints for managing candidate scheduling in-person processes.

Version: 1.0

## Servers

Development server
```
https://k8s-exp-api-dev.hunty.cloud
```

Production server
```
https://k8s-exp-api-stg.hunty.cloud
```

## Security

### bearer

Type: http
Scheme: bearer
Bearer Format: JWT

### x-auth-api-key

Type: apiKey
In: header
Name: x-auth-api-key

## Download OpenAPI description

 - [API](https://docs.hunty.cloud/_bundle/apis/candidate-scheduling-in-person/index.yaml)

## Candidate Scheduling In-Person

 - [POST /candidates/scheduling/in-person/company/{companyId}/vacancy/{vacancyId}/dispatch](https://docs.hunty.cloud/apis/candidate-scheduling-in-person/candidate-scheduling-in-person/candidateschedulinginpersoncontroller_dispatch.md): Dispatches a candidate scheduling in-person based on the provided data.
 - [POST /candidates/scheduling/in-person/company/{companyId}/vacancy/{vacancyId}/mark-attendance](https://docs.hunty.cloud/apis/candidate-scheduling-in-person/candidate-scheduling-in-person/candidateschedulinginpersoncontroller_markattendance.md): Marks attendance confirmation for candidate scheduling in-person records.
 - [GET /candidates/scheduling/in-person/{id}/company/{companyId}/vacancy/{vacancyId}](https://docs.hunty.cloud/apis/candidate-scheduling-in-person/candidate-scheduling-in-person/featurecontroller_getbyid.md): Retrieve a feature by its unique identifier.
 - [POST /candidates/scheduling/in-person/{id}/company/{companyId}/vacancy/{vacancyId}/orchestrate](https://docs.hunty.cloud/apis/candidate-scheduling-in-person/candidate-scheduling-in-person/featurecontroller_orchestrate.md): Closes a single feature module and requests orchestration to the next or specified feature module. This operation is typically used to transition a candidate from one stage of the recruitment process
